#include <avr/io.h>
#include "peri.h"

void init_peripheral()
{
	DDRC &= ~(1<<PC2);
	DDRC &= ~(1<<PC4);

	PORTC &= ~(1<<PC2);
	PORTC &= ~(1<<PC4);
}


uint16_t read_adc(uint8_t channel)
{
        ADMUX = (0<<REFS1)|(1<<REFS0)
                | (0<<ADLAR)
                | (channel & 0b1111);

        ADCSRA = (1<<ADEN)
                | (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)
                | (1<<ADSC);
	while((ADCSRA & (1<<ADSC)));
	return ADCL + ADCH*256;
}

uint16_t get_light_c()
{
    return read_adc(PC4);
}

uint16_t get_light_b()
{
    return read_adc(PC2);
}
